C11(1) | General Commands Manual | C11(1)

# NAME

c11 — ANSI (2011) C compiler

# SYNOPSIS

c11 | [-pedantic] [-pedantic-errors] [-D_ANSI_SOURCE] [options ...]

# DESCRIPTION

Calls the C compiler (cc) with the given options, using a C language environment compatible with the ISO/IEC 9899:2011 (“ISO C11”) specification.
This includes alignment specification (_Alignas specifier, _Alignof operator), the _Noreturn function specifier, type-generic expressions using the _Generic keyword, multi-threading support, improved unicode handling, anonymous structures and unions, static assertions, exclusive create-and-open mode for fopen(3), the quick_exit(3) function performing minimal cleanup, macros for construction of complex values.
The following options are available:

-pedantic
  Issue extra warnings defined by ANSI for use of non-ANSI features.
-pedantic-errors
  Issue errors instead of warnings that normally would be presented by -pedantic.
-D_ANSI_SOURCE
  Tell the system header file set to use an ANSI-conformant "clean" namespace.

# SEE ALSO

cc(1)

# STANDARDS

c11 is a NetBSD extension.

# HISTORY

c11 first appeared in NetBSD 8.0.

# BUGS

Since c11 is a shell wrapper script to cc, compile errors are prefixed by “cc:”.

October 2, 2016 | NetBSD 8.2